"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Column = void 0;
const constants_1 = require("../constants");
const Column = (options) => (target, propertyKey) => {
    const metadata = Reflect.getMetadata(constants_1.ENTITY_METADATA, target) || {
        columns: []
    };
    metadata.columns.push({
        propertyKey,
        options: options || {}
    });
    Reflect.defineMetadata(constants_1.ENTITY_METADATA, metadata, target);
};
exports.Column = Column;
//# sourceMappingURL=column.js.map